Bug 323891 - xorg fails with fglrx driver
xorg fails with fglrx driver
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xorg-x11 (Show other bugs)
i386 Linux
high Severity high
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Depends On:
  Show dependency treegraph
Reported: 2007-10-08 17:38 EDT by Brett Johnson
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-10-09 12:29:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Brett Johnson 2007-10-08 17:38:50 EDT
Description of problem:

X fails to run when fglrx driver from ATI is used.  This is on a HP 6910p
laptop, with an ATI "Mobility x2300" gpu.

Version-Release number of selected component (if applicable):

8.40 fglrx driver.

How reproducible:

Steps to Reproduce:
1. Install RHEL
2. Install ATI's fglrx driver
3. Start X
Actual results:

Expected results:

Additional info:

It appears the the version of libstdc++ in RHEL5 is too old for the fglrx
driver.  From the Xorg log file:

(II) Loading /usr/lib/xorg/modules/drivers/fglrx_drv.so
dlopen: libstdc++.so.5: cannot open shared object file: No such file or directory
(EE) Failed to load /usr/lib/xorg/modules/drivers/fglrx_drv.so
(II) UnloadModule: "fglrx"
(EE) Failed to load module "fglrx" (loader failed, 7)

and "rpm -qa libstdc++" returns:

Comment 1 Ronald Pacheco 2007-10-08 21:45:51 EDT
We have this system in the QE team.  See Cameron.
Comment 2 Matěj Cepl 2007-10-09 12:29:17 EDT
For official Red Hat Enterprise Linux support, please log into the Red Hat
support website at http://www.redhat.com/support and file a support ticket,
or alternatively contact Red Hat Global Support Services at 1-888-RED-HAT1
to speak directly with a support associate and escalate an issue.

Red Hat Xorg team cannot support closed source packages, so the only thing we
can do for you is to help you deal with installation of proper packages
(compat-libstdc++ in this, I guess), but for that filing the issue through
IssueTracker would be more proper.
Comment 3 Adam Jackson 2007-10-09 13:18:44 EDT
The libstdc++ we provide is _newer_ than the one they want:

% rpm -qp --provides
libstdc++ = 4.1.1-52.el5
libstdc++ = 4.1.2-14.el5

libstdc++.so.5 is provided by the compat-libstdc++-33 package.
Comment 4 Brett Johnson 2007-10-09 13:39:51 EDT
Right you are.  My bad.  I ass-u-me-d that libstdc++.so.5 would equate to a
libstdc++ package version of 5.<foo> (and figured 4.1.foo was older). 
Installing the compat package resolves the problem.  My lack of knowledge about
how RH packages stuff is rather apparent :o).

Note You need to log in before you can comment on or make changes to this bug.